package WEB-INF.classes.wenrgise.hrms.bean;

import java.io.Serializable;
import wenrgise.common.bean.BaseHeaderBean;

public class HrmLvCancHdrBean extends BaseHeaderBean implements Serializable {
  String employeeNo;
  
  String firstName;
  
  String middleName;
  
  String lastName;
  
  String leaveCode;
  
  String leaveDescription;
  
  String dateApplied;
  
  String fromDate;
  
  String toDate;
  
  String days;
  
  String address;
  
  String phoneNo;
  
  String statusOfLeave;
  
  String purpose;
  
  String fromCancelDate;
  
  String toCancelDate;
  
  String cancelDays;
  
  String cancellationType;
  
  String cancelRemarks;
  
  String leaveCodeId;
  
  String cancelStatus;
  
  String cancelDateApplied;
  
  String employeeId;
  
  String leaveTransId;
  
  private String cancSide;
  
  private String buttonName;
  
  private String grade;
  
  private String location;
  
  private String desig;
  
  public String getEmployeeNo() {
    return this.employeeNo;
  }
  
  public void setEmployeeNo(String newEmployeeNo) {
    this.employeeNo = newEmployeeNo;
  }
  
  public String getFirstName() {
    return this.firstName;
  }
  
  public void setFirstName(String newFirstName) {
    this.firstName = newFirstName;
  }
  
  public String getMiddleName() {
    return this.middleName;
  }
  
  public void setMiddleName(String newMiddleName) {
    this.middleName = newMiddleName;
  }
  
  public String getLastName() {
    return this.lastName;
  }
  
  public void setLastName(String newLastName) {
    this.lastName = newLastName;
  }
  
  public String getLeaveCode() {
    return this.leaveCode;
  }
  
  public void setLeaveCode(String newLeaveCode) {
    this.leaveCode = newLeaveCode;
  }
  
  public String getLeaveDescription() {
    return this.leaveDescription;
  }
  
  public void setLeaveDescription(String newLeaveDescription) {
    this.leaveDescription = newLeaveDescription;
  }
  
  public String getDateApplied() {
    return this.dateApplied;
  }
  
  public void setDateApplied(String newDateApplied) {
    this.dateApplied = newDateApplied;
  }
  
  public String getFromDate() {
    return this.fromDate;
  }
  
  public void setFromDate(String newFromDate) {
    this.fromDate = newFromDate;
  }
  
  public String getToDate() {
    return this.toDate;
  }
  
  public void setToDate(String newToDate) {
    this.toDate = newToDate;
  }
  
  public String getDays() {
    return this.days;
  }
  
  public void setDays(String newDays) {
    this.days = newDays;
  }
  
  public String getAddress() {
    return this.address;
  }
  
  public void setAddress(String newAddress) {
    this.address = newAddress;
  }
  
  public String getPhoneNo() {
    return this.phoneNo;
  }
  
  public void setPhoneNo(String newPhoneNo) {
    this.phoneNo = newPhoneNo;
  }
  
  public String getStatusOfLeave() {
    return this.statusOfLeave;
  }
  
  public void setStatusOfLeave(String newStatusOfLeave) {
    this.statusOfLeave = newStatusOfLeave;
  }
  
  public String getPurpose() {
    return this.purpose;
  }
  
  public void setPurpose(String newPurpose) {
    this.purpose = newPurpose;
  }
  
  public String getFromCancelDate() {
    return this.fromCancelDate;
  }
  
  public void setFromCancelDate(String newFromCancelDate) {
    this.fromCancelDate = newFromCancelDate;
  }
  
  public String getToCancelDate() {
    return this.toCancelDate;
  }
  
  public void setToCancelDate(String newToCancelDate) {
    this.toCancelDate = newToCancelDate;
  }
  
  public String getCancelDays() {
    return this.cancelDays;
  }
  
  public void setCancelDays(String newCancelDays) {
    this.cancelDays = newCancelDays;
  }
  
  public String getCancellationType() {
    return this.cancellationType;
  }
  
  public void setCancellationType(String newCancellationType) {
    this.cancellationType = newCancellationType;
  }
  
  public String getCancelRemarks() {
    return this.cancelRemarks;
  }
  
  public void setCancelRemarks(String newCancelRemarks) {
    this.cancelRemarks = newCancelRemarks;
  }
  
  public String getLeaveCodeId() {
    return this.leaveCodeId;
  }
  
  public void setLeaveCodeId(String newLeaveCodeId) {
    this.leaveCodeId = newLeaveCodeId;
  }
  
  public String getCancelStatus() {
    return this.cancelStatus;
  }
  
  public void setCancelStatus(String newCancelStatus) {
    this.cancelStatus = newCancelStatus;
  }
  
  public String getCancelDateApplied() {
    return this.cancelDateApplied;
  }
  
  public void setCancelDateApplied(String newCancelDateApplied) {
    this.cancelDateApplied = newCancelDateApplied;
  }
  
  public String getEmployeeId() {
    return this.employeeId;
  }
  
  public void setEmployeeId(String newEmployeeId) {
    this.employeeId = newEmployeeId;
  }
  
  public String getLeaveTransId() {
    return this.leaveTransId;
  }
  
  public void setLeaveTransId(String newLeaveTransId) {
    this.leaveTransId = newLeaveTransId;
  }
  
  public String getCancSide() {
    return this.cancSide;
  }
  
  public void setCancSide(String newCancSide) {
    this.cancSide = newCancSide;
  }
  
  public String getButtonName() {
    return this.buttonName;
  }
  
  public void setButtonName(String newButtonName) {
    this.buttonName = newButtonName;
  }
  
  public String getGrade() {
    return this.grade;
  }
  
  public void setGrade(String newGrade) {
    this.grade = newGrade;
  }
  
  public String getLocation() {
    return this.location;
  }
  
  public void setLocation(String newLocation) {
    this.location = newLocation;
  }
  
  public String getDesig() {
    return this.desig;
  }
  
  public void setDesig(String newDesig) {
    this.desig = newDesig;
  }
}
